<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>DPathParserConstants</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathParserConstants";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParserConstants.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" target="_top">Frames</a></li>
<li><a href="DPathParserConstants.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Interface DPathParserConstants" class="title">Interface DPathParserConstants</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">DPathParserConstants</span></pre>
<div class="block">Token literal values and constants.
 Generated by org.javacc.parser.OtherFilesGen#start()</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DECIMAL_LITERAL">DECIMAL_LITERAL</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DEFAULT">DEFAULT</a></strong></code>
<div class="block">Lexical state.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DIGIT">DIGIT</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_COORD">DPATH_COORD</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_FILTER_TYPE">DPATH_FILTER_TYPE</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_MACRO_PREFIX">DPATH_MACRO_PREFIX</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_NAV_AXIS">DPATH_NAV_AXIS</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_SET">DPATH_SET</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#EOF">EOF</a></strong></code>
<div class="block">End of File.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#IDENTIFIER">IDENTIFIER</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#LETTER">LETTER</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#STRING_LITERAL">STRING_LITERAL</a></strong></code>
<div class="block">RegularExpression Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#tokenImage">tokenImage</a></strong></code>
<div class="block">Literal token values.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="EOF">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EOF</h4>
<pre>static final&nbsp;int EOF</pre>
<div class="block">End of File.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.EOF">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DPATH_MACRO_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPATH_MACRO_PREFIX</h4>
<pre>static final&nbsp;int DPATH_MACRO_PREFIX</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DPATH_MACRO_PREFIX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DPATH_NAV_AXIS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPATH_NAV_AXIS</h4>
<pre>static final&nbsp;int DPATH_NAV_AXIS</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DPATH_NAV_AXIS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DPATH_FILTER_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPATH_FILTER_TYPE</h4>
<pre>static final&nbsp;int DPATH_FILTER_TYPE</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DPATH_FILTER_TYPE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DPATH_SET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPATH_SET</h4>
<pre>static final&nbsp;int DPATH_SET</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DPATH_SET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DPATH_COORD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPATH_COORD</h4>
<pre>static final&nbsp;int DPATH_COORD</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DPATH_COORD">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DECIMAL_LITERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECIMAL_LITERAL</h4>
<pre>static final&nbsp;int DECIMAL_LITERAL</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DECIMAL_LITERAL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="IDENTIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IDENTIFIER</h4>
<pre>static final&nbsp;int IDENTIFIER</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.IDENTIFIER">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LETTER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LETTER</h4>
<pre>static final&nbsp;int LETTER</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.LETTER">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DIGIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DIGIT</h4>
<pre>static final&nbsp;int DIGIT</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DIGIT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STRING_LITERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRING_LITERAL</h4>
<pre>static final&nbsp;int STRING_LITERAL</pre>
<div class="block">RegularExpression Id.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.STRING_LITERAL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT</h4>
<pre>static final&nbsp;int DEFAULT</pre>
<div class="block">Lexical state.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.DPathParserConstants.DEFAULT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="tokenImage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tokenImage</h4>
<pre>static final&nbsp;java.lang.String[] tokenImage</pre>
<div class="block">Literal token values.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParserConstants.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" target="_top">Frames</a></li>
<li><a href="DPathParserConstants.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
